Summary:	GeoTIFF library
Summary(pl.UTF-8):	Biblioteka GeoTIFF
Name:		libgeotiff
Version:	1.7.1
Release:	1
License:	MIT, partially Public Domain (see LICENSE)
Group:		Libraries
Source0:	http://download.osgeo.org/geotiff/libgeotiff/%{name}-%{version}.tar.gz
# Source0-md5:	22879ac6f83460605f9c39147a2ccc7a
Patch0:		%{name}-opt.patch
URL:		http://geotiff.osgeo.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel >= 3.6.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	proj-devel >= 6.0.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is designed to permit the extraction and parsing of the
"GeoTIFF" Key directories, as well as definition and installation of
GeoTIFF keys in new files.

%description -l pl.UTF-8
Ta biblioteka pozwala na odczytywanie i analizowanie znaczników
"GeoTIFF", a także definiowanie i zapisywanie znaczników w nowych
plikach.

%package devel
Summary:	GeoTIFF header files
Summary(pl.UTF-8):	Pliki nagłówkowe GeoTIFF
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libtiff-devel >= 3.6.0

%description devel
Header files for GeoTIFF library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GeoTIFF.

%package static
Summary:	GeoTIFF static library
Summary(pl.UTF-8):	Statyczna biblioteka GeoTIFF
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GeoTIFF static library.

%description static -l pl.UTF-8
Statyczna biblioteka GeoTIFF.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--with-jpeg \
	--with-zip

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE README
%attr(755,root,root) %{_bindir}/applygeo
%attr(755,root,root) %{_bindir}/geotifcp
%attr(755,root,root) %{_bindir}/listgeo
%attr(755,root,root) %{_libdir}/libgeotiff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeotiff.so.5
%{_mandir}/man1/applygeo.1*
%{_mandir}/man1/geotifcp.1*
%{_mandir}/man1/listgeo.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeotiff.so
%{_libdir}/libgeotiff.la
%{_includedir}/cpl_serv.h
%{_includedir}/geo_*.h
%{_includedir}/geokeys.h
%{_includedir}/geonames.h
%{_includedir}/geotiff.h
%{_includedir}/geotiffio.h
%{_includedir}/geovalues.h
%{_includedir}/xtiffio.h
%{_includedir}/epsg_*.inc
%{_includedir}/geo_ctrans.inc
%{_includedir}/geokeys*.inc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeotiff.a
%changelog
* Fri Jan 20 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgeotiff.git;a=log;h=master

* Thu Jan 19 2023 Jakub Bogusz <qboosh@pld-linux.org> b50a99b
- updated to 1.7.1

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 99bc4fd
- updated to 1.6.0

* Tue Apr 02 2019 Jan Rękorajski <baggins@pld-linux.org> 45de107
- release 2 (by relup.sh)

* Mon Apr 01 2019 Jakub Bogusz <qboosh@pld-linux.org> 9f680b9
- updated opt patch

* Sun Mar 31 2019 Adam Gołębiowski <adamg@pld-linux.org> 2b0a44e
- updated to 1.5.1 (soname change)

* Wed Dec 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6d0590a
- updated to 1.4.3

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 6ec752a
- rebuild without libjpeg.la
- release 3 (by relup.sh)

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> 23e7cf5
- release 2 (by relup.sh)

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 376d2be
- Update to 1.4.2

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> f93525d
- release 3 (by relup.sh)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 4cb1943
- release 2 (by relup.sh)

* Fri Nov 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 22b4b4e
- updated to 1.4.1, new URLs

* Fri May 25 2012 Jakub Bogusz <qboosh@pld-linux.org> e377a83
- updated to 1.4.0

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 04d8aa0
- release 3

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 47f00ca
- release 2

* Sun Jun 20 2010 Jakub Bogusz <qboosh@pld-linux.org> 6f2b6ab
- updated to 1.3.0 (new soname)
- added opt patch, removed obsolete shared-fix,link patches

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a9e9378
- release 3

* Sat Jul 11 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> edd47e8
- release 2

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 227d67a
- updated to 1.2.5
- added link patch

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 1577b3a
- link to new libgeotiff, not old system one

